zookeeper (3.8.0-10build1) lunar; urgency=medium

  * Rebuild to drop Python 3.10 extension

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 01 Mar 2023 10:46:57 -0500

zookeeper (3.8.0-10) unstable; urgency=medium

  * Team upload.
  * Rebuilt for all Python3 versions (Closes: #1024303).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Nov 2022 11:14:39 +0100

zookeeper (3.8.0-9) unstable; urgency=medium

  * Team upload
  * Using Suite instead of deprecated JunitPlatform to run unit tests
    (Closes: #1022333)
  * Exporting LC_ALL=C.UTF-8 in d/rules

 -- Pierre Gruet <pgt@debian.org>  Mon, 31 Oct 2022 15:49:56 +0100

zookeeper (3.8.0-8) unstable; urgency=medium

  * Team upload
  * Skipping one more test accessing the network, thanks to Simon Chopin
    (Closes: #1018942)
  * Enlarging another time limit in a test

 -- Pierre Gruet <pgt@debian.org>  Fri, 02 Sep 2022 18:17:29 +0200

zookeeper (3.8.0-7) unstable; urgency=medium

  * Team upload
  * Installing the generated header file in /usr/include/zookeeper
    (Closes: #1016764)
  * Alleviating d/maven.rules

 -- Pierre Gruet <pgt@debian.org>  Mon, 15 Aug 2022 15:12:45 +0200

zookeeper (3.8.0-6) unstable; urgency=medium

  * Team upload
  * Deactivating a flaky test (Closes: #1015054)

 -- Pierre Gruet <pgt@debian.org>  Sat, 23 Jul 2022 22:46:51 +0200

zookeeper (3.8.0-5) unstable; urgency=medium

  * Team upload
  * Installing an up-to-date configuration file example in zookeeper

 -- Pierre Gruet <pgt@debian.org>  Sat, 02 Jul 2022 15:28:15 +0200

zookeeper (3.8.0-4) unstable; urgency=medium

  * Team upload
  * Adding liblog4j1.2-java as a dependency of the -java package so that its
    jar is found by libslf4j-java

 -- Pierre Gruet <pgt@debian.org>  Fri, 01 Jul 2022 21:19:09 +0200

zookeeper (3.8.0-3) unstable; urgency=medium

  * Team upload
  * Raising a bit some time limits in tests, failures can happen depending
    on the buildds

 -- Pierre Gruet <pgt@debian.org>  Wed, 29 Jun 2022 21:44:22 +0200

zookeeper (3.8.0-2) unstable; urgency=medium

  * Team upload
  * Making appropriate overrides for -arch and -indep in d/rules so that
    builds of architecture-dependent packages only succeed

 -- Pierre Gruet <pgt@debian.org>  Wed, 29 Jun 2022 17:47:37 +0200

zookeeper (3.8.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.8.0 (Closes: #927673):
    - Checking it is affected by no known security vulnerability
      (Closes: #990345)
    - Checking it does not use xml2-config anymore (Closes: #949517)
    - Checking the package does not FTBFS with gcc-11 (Closes: #984406)
  * Refreshing patches
  * Building with Maven, adapting B-D, refreshing d/rules and adapting install
    paths accordingly
  * Adapting install paths after switching to Maven
  * Updates in debian/control:
    - Depending on debhelper-compat 13
    - Removing X-Python3-Version field
    - Raising Standards version to 4.6.1 (no change)
    - Adding a Pre-Depends field in d/control for zookeeperd so that it
      pre-depends on init-system-helpers
    -  zookeeper needs to depend on default-jre, not only the headless version
  * Refreshing d/copyright
  * Updating / refreshing the packaging style:
    - New upstream signing keys
    - Rewriting d/watch, set to version 4, no repack
    - Removing debian/gbp.conf
    - Removing debian/orig-tar.sh, repacking is done via debian/copyright
    - Set upstream metadata fields: Bug-Database, Repository,
      Repository-Browse.
  * Providing patches related to the new Maven build:
    - Adding missing versions of some Maven plugins in the POM files
    - Skipping the unpackaged Timeout annotations in the tests
    - Using the ValueSource annotation with ints instead of booleans, which are
      not available in Debian-package junit5
    - Omitting the TempDir annotation in the tests, as it is not available yet
    - Correcting call to deprecated method in Bouncycastle
    -  Switching from test-jar type to tests classifier in the POM files
    - Omitting the dependency of the assembly POM on the
      zookeeper-prometheus-metrics jar, which cannot be built right now
    - Adding missing artifacts in the zookeeper-contrib-rest POM file
    - Skipping some classes because of unpackaged org.openjdk-jmh package
    - Building the Python3 artifacts without OpenSSL
    - Omitting test classes needing junit5 unpackaged classes or attempting to
      use the network
  * Correcting tiny spelling errors in the code
  * Reworking debian/rules:
    - Updating the overrides of dh_clean and dh_auto_clean
    - Stopping parsing changelog in d/rules
  * Providing an up-to-date d/libzookeeper-java.manifest file, updating
    dependencies of the binary package accordingly
  * Refreshing the doc-base files
  * Stopping providing zktreeutil, providing a NEWS file to explain this
  * Adding a NEWS entry about possible failure at startup and how to solve it
    (Closes: #1012770)
  * Adding a Lintian override for the embedded js in the javadoc
  * Adding a Lintian override for files with long lines
  * Adding missing patch headers
  * Hacking in the libtool file to prevent -rpath flags when building
  * Changing USER to NAME in d/zookeeper.postinst and d/zookeeper.postrm to be
    sure the script is doing the right thing (actually the shell uses USER for
    the logged in name)
  * Using --remove-home in d/zookeeper.postrm to ensure everything is properly
    deleted (Closes: #1001959)

 -- Pierre Gruet <pgt@debian.org>  Tue, 28 Jun 2022 18:02:04 +0200

zookeeper (3.4.13-6) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with OpenJDK 17 (Closes: #981923)
  * Standards-Version updated to 4.5.1

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 07 Feb 2021 23:16:46 +0100

zookeeper (3.4.13-5) unstable; urgency=medium

  [ tony mancill ]
  * Source-only upload for testing migration (Closes: #950755)
  * Set "Rules-Requires-Root: no" in debian/control

  [ Christoph Maser ]
  * Update debian/watch

 -- tony mancill <tmancill@debian.org>  Wed, 05 Feb 2020 19:54:40 -0800

zookeeper (3.4.13-4) unstable; urgency=medium

  * Team upload.

  [ Jelmer Vernooĳ ]
  * Bump debhelper from old 11 to 12.
  * Re-export upstream signing key without extra signatures.

  [ Emmanuel Bourg ]
  * Build the Python bindings with Python 3 (Closes: #938892)
  * Standards-Version updated to 4.5.0

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 26 Jan 2020 23:18:05 +0100

zookeeper (3.4.13-3) unstable; urgency=medium

  * Address FTBFS with GCC 9 (Closes: #925869)
  * Bump Standards-Version to 4.4.0
  * Freshen years in debian/copyright and update Source:

 -- tony mancill <tmancill@debian.org>  Sat, 17 Aug 2019 10:59:19 -0700

zookeeper (3.4.13-2) unstable; urgency=medium

  * Add patch for CVE-2019-0201 (Debian: #929283)

 -- tony mancill <tmancill@debian.org>  Tue, 04 Jun 2019 21:22:04 -0700

zookeeper (3.4.13-1) unstable; urgency=medium

  * New upstream version 3.4.13
  * Update version in debian-provided pom file
  * Bump Standards-Version to 4.2.1

 -- tony mancill <tmancill@debian.org>  Thu, 18 Oct 2018 20:19:42 -0700

zookeeper (3.4.12-2) unstable; urgency=medium

  * Team upload.

  [ tony mancill ]
  * Add patch for FTBFS with GCC-8 (Closes: #897892)

  [ Markus Koschany ]
  * Declare compliance with Debian Policy 4.2.0.
  * debian/control: Remove ancient X-Python-Version field because it is
    satisfied even in oldstable.
  * Add 15-javadoc-doclet.patch. The missing doclet class causes a javadoc
    error. Now the documentation is built again.

 -- Markus Koschany <apo@debian.org>  Thu, 23 Aug 2018 12:16:06 +0200

zookeeper (3.4.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Added the Yetus annotations
  * No longer build the Netty based connection factory (depends on an obsolete
    version of Netty)
  * Ensure the unit tests are run in offline mode (Closes: #860650)
  * Disabled the i386 junit tests (no longer build due to dependencies changes)
  * Removed the unused build dependency on checkstyle
  * Modified debian/watch to catch all the past releases
  * Standards-Version updated to 4.1.4
  * Use salsa.debian.org Vcs-* URLs
  * Updated the upstream GPG keys

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 05 Jun 2018 23:45:32 +0200

zookeeper (3.4.10-3) unstable; urgency=medium

  * The default value of JMXLOCALONLY is now true (Closes: #869912)
  * Drop transitional package libzookeeper2 (Closes: #878994)
  * /var/lib/zookeeper is no longer world-readable (Closes: #870271)
  * Use debhelper 11 and set compat level to 11
  * Bump Standards-Version to 4.1.3
  * Use https for Homepage URL
  * Drop build-dep on dh-systemd in favor of debhelper 10
  * Remove init.d skeleton template boilerplate
  * Remove Upstart config
  * Add ./NOTICE.txt to debian/zookeeper.docs
  * Set build target to Java 8
  * Correct ivy profile during test phase on i386 (See: #860650)
    Note that this does not mean that tests pass on i386 now, only
    that the tests can be run without ivy dying.
  * Disable tests that use the MiniKdc class
  * Rename zooinspector JAR file to zookeeper-zooinspector as per policy
  * Add debian/NEWS

 -- tony mancill <tmancill@debian.org>  Sat, 03 Feb 2018 14:58:02 -0800

zookeeper (3.4.10-2) unstable; urgency=medium

  * Upload to unstable for the buster release cycle.

 -- tony mancill <tmancill@debian.org>  Wed, 21 Jun 2017 11:47:20 -0700

zookeeper (3.4.10-1) experimental; urgency=medium

  [ Rene Engelhard ]
  * Team upload.
  * use PKG_CHECK_MODULES instead of AM_PATH_CPPUNIT (closes: #862135)

  [ tony mancill ]
  * New upstream release.
  * Add tmancill@debian.org to Uploaders
  * Add pkg-config to Build-Depends.
  * Drop patches applied upstream:
    - 09-spell-check.patch
    - 10-cppunit-pkg-config.patch

 -- tony mancill <tmancill@debian.org>  Sat, 03 Jun 2017 11:10:44 -0700

zookeeper (3.4.9-3) unstable; urgency=medium

  * Team upload.
  * Apply patch for CVE-2017-5637 (Closes: #863811)
    "wchp" and "wchc" are now disabled by default.

 -- tony mancill <tmancill@debian.org>  Thu, 01 Jun 2017 16:26:44 -0700

zookeeper (3.4.9-2) unstable; urgency=medium

  * Team upload.
  * Apply patch to set JAVA in the environment (Closes: #839184)
    - Thank you to Felix Dreissig.
  * Add patch for spelling corrections in upstream source.

 -- tony mancill <tmancill@debian.org>  Sun, 16 Oct 2016 20:50:15 -0700

zookeeper (3.4.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Updated debian/pom.xml
  * Updated the upstream signing keys

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 16 Sep 2016 15:13:01 +0200

zookeeper (3.4.8-2) unstable; urgency=medium

  * Team upload.
  * Add systemd unit file.  (Closes: #830222)
    - Thanks to Felix Dreissig for the patch series.
  * Add dh-python to Build-Depends.  (Closes: #830216)
    - Thanks to Felix Dreissig for the patch.
  * Standards-Version updated to 3.9.8 (no changes)

 -- tony mancill <tmancill@debian.org>  Thu, 07 Jul 2016 21:05:26 -0700

zookeeper (3.4.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Updated debian/pom.xml
  * Build with ivy-debian-helper
  * Standards-Version updated to 3.9.7 (no changes)
  * Use secure Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 26 Feb 2016 14:51:43 +0100

zookeeper (3.4.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Updated debian/pom.xml
  * Updated the upstream signing keys

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 02 Jan 2016 22:32:10 +0100

zookeeper (3.4.6-8) unstable; urgency=medium

  * Team upload.
  * Fixed the netty dependency for libzookeeper-java (Closes: #797229)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 01 Sep 2015 08:53:30 +0200

zookeeper (3.4.6-7) unstable; urgency=medium

  * Team upload.
  * Build-dep on liblogx4cxx-dev.  See transition bug #792013.
    (Closes: #794418)

 -- tony mancill <tmancill@debian.org>  Sun, 09 Aug 2015 12:36:52 -0700

zookeeper (3.4.6-6) unstable; urgency=medium

  * Team upload.
  * Depend on libnetty-3.9-java instead of libnetty-java

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 28 Jul 2015 15:44:25 +0200

zookeeper (3.4.6-5) unstable; urgency=medium

  * Team upload.
  * Fixed the packaging type of the Maven artifact (pom -> jar)
  * Improved the build reproducibility:
    - Set the locale to 'en' when generating the javadoc

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 24 Jul 2015 17:23:32 +0200

zookeeper (3.4.6-4) unstable; urgency=medium

  * Team upload.
  * Upload to unstable
  * Improved the build reproducibility:
    - Removed the Built-At, Built-By and Built-On entries in the manifests
    - Use the changelog date as the build date in Info.java

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 28 Apr 2015 10:03:34 +0200

zookeeper (3.4.6-3) experimental; urgency=medium

  * Team upload.
  * Fixed the Maven rule for netty to work with maven-repo-helper << 1.8.10

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 28 Jan 2015 23:19:38 +0100

zookeeper (3.4.6-2) experimental; urgency=medium

  * Team upload.
  * Fixed the groupId of netty in the installed pom

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 28 Jan 2015 11:32:32 +0100

zookeeper (3.4.6-1) experimental; urgency=medium

  * Team upload.

  [ James Page ]
  * d/control: Bump epoch on default-jdk BD to exclude archictectures which
    don't have Java 6 or better (Closes: #742405).

  [ Tim Retout ]
  * New upstream version.  (Closes: #756982)
  * debian/patches: Refresh patches.

  [ Emmanuel Bourg ]
  * Install the Maven artifacts (Closes: #775893)
  * Standards-Version updated to 3.9.6 (no changes)
  * Fixed some lintian warnings related to debian/copyright
  * libzookeeper-java suggests libzookeeper-java-doc but doesn't recommend it
  * Install the API documentation under /usr/share/doc/libzookeeper-java
    instead of usr/share/doc/libzookeeper-java-doc
  * debian/orig-tar.sh:
    - Removed src/contrib/loggraph from the upstream tarball since it isn't used
      and is missing the source of a minimized JavaScript file (yui-min.js)
    - Use XZ compression for the upstream tarball
    - Delete the non filtered upstream tarball after unpacking it
  * Added the .patch extension to the patches
  * Added the missing patch descriptions

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 26 Jan 2015 13:36:17 +0100

zookeeper (3.4.5+dfsg-2) unstable; urgency=high

  [ tony mancill ]
  * Team upload.
  * Add slf4j jars to CLASSPATH in zooinspector. (Closes: #712778)

  [ Tim Retout ]
  * debian/watch: Add pgp signature mangling, and use main mirror.
  * debian/upstream/signing-key.asc: Add upstream signing keys.
  * debian/*.preinst: Transition /usr/share/doc symlinks to real
    directories. (Closes: #720148)
  * Urgency set to high for RC bugfix.

 -- Tim Retout <diocles@debian.org>  Sun, 16 Mar 2014 20:07:23 +0000

zookeeper (3.4.5+dfsg-1) unstable; urgency=low

  * Upload to unstable.
  * d/p/fixes/ZOOKEEPER-740: Cherry picked fix from upstream bugtracker to
    resolve issue with slow running add_auth calls with multi-threaded
    client.
  * d/rules: Disable mt client tests due to test library incompatibility
    with libc 2.17.
  * d/rules: Drop override_dh_installdocs, no longer required.
  * d/control: Tweak depends for libzookeeper-java{-doc} to be Java policy
    compliant.

 -- James Page <james.page@ubuntu.com>  Mon, 06 May 2013 18:27:16 -0700

zookeeper (3.4.5+dfsg-1~exp2) experimental; urgency=low

  * d/conf_example/environment: Add missing jars to zookeeper CLASSPATH
    for 3.4.5 release.
  * d/control: Update VCS fields to be canonical.

 -- James Page <james.page@ubuntu.com>  Thu, 28 Feb 2013 09:26:11 +0000

zookeeper (3.4.5+dfsg-1~exp1) experimental; urgency=low

  * New upstream release (Closes: #699120, LP: #1107400, #954160):
    - d/p/ZOOKEEPER-{1374,1033}: Dropped, included upstream.
    - Refreshed remaining patches.
    - Drop bookkeeper support, now a separate project.
    - d/control: Added new BD's on netty, slf4j and mockito.
    - d/zookeeper.{install,cron.daily}: Drop scheduled transaction
      log purging as now handled internally.
  * d/control: Bumped Standards-Version, no changes.
  * d/control: Dropped obsolete DM-Upload-Allowed.
  * Sync Ubuntu changes:
    - d/rules: Only execute native test suite on i386 and amd64
      architectures; its a bit racey and does not execute reliably
      on others.
  * d/rules,zookeeperd.upstart: Rejig now that debhelper in Debian and
    Ubuntu does the right things with init and upstart configs.
  * d/rules: Disable native tests on Ubuntu due to incompatibility in
    test framework with glibc 2.17.

 -- James Page <james.page@ubuntu.com>  Thu, 07 Feb 2013 10:48:31 +0000

zookeeper (3.3.6+dfsg-1) experimental; urgency=low

  * Re-sync with Ubuntu.
  * New upstream release:
    - Dropped patches for ZOOKEEPER-1403 and ZOOKEEPER-1431; included upstream.
    - Refreshed all other patches.
  * d/{watch,orig-tar.sh,README.source}: Repack upstream tarball using uscan
    to ease new upstream releases.
  * d/control: Version debhelper (>= 9~).
  * d/rules: Refactor contrib builds to use properties file.
  * d/ant.properties: Collate properties for contrib builds ensuring that
    bytecode built is backwards compatible.

 -- James Page <james.page@ubuntu.com>  Wed, 19 Sep 2012 10:08:46 +0100

zookeeper (3.3.5+dfsg1-2) unstable; urgency=low

  * d/patches/fixes/ZOOKEEPER-1431: Fix up memory leak in zookeeper
    python binding which results in significant memory growth for large
    result sets (Closes: #665962). Thanks to Johan Rydberg for identifying
    this bug and Kapil Thangavelu for the patch.

 -- James Page <james.page@ubuntu.com>  Mon, 28 May 2012 11:51:03 +0100

zookeeper (3.3.5+dfsg1-1.1) unstable; urgency=low

  * Non maintainer upload.
  * Fix build failure with GCC 4.7.

 -- Matthias Klose <doko@debian.org>  Thu, 10 May 2012 18:00:25 +0200

zookeeper (3.3.5+dfsg1-1) unstable; urgency=low

  * New upstream bugfix release.
    - d/fix-broken-c-client-unittest.patch: Dropped - accepted upstream.
    - Refreshed all other patches.
  * Bumped Standards-Version: 3.9.3.
  * Fix issue with quoting of parameters in zkCli.sh (Closes: #661837):
    - d/patches/fixes/ZOOKEEPER-1403: Ensure parameters are correctly
      quoted - thanks to John Eikenberry for this fix.

 -- James Page <james.page@ubuntu.com>  Wed, 21 Mar 2012 21:20:30 +0000

zookeeper (3.3.4+dfsg1-3) unstable; urgency=low

  * Sync changes from Ubuntu:
    - Switch zookeeperd upstart configuration to use start-stop-daemon.
      Thanks to Clint Byrum for this fix.
    - Enable C and Java test suites:
      - d/patches/fixes/ZOOKEEPER-1374: Use __sync_* primitives
        instead of ASM code when available to improve portability across
        supported platforms.
      - d/patches/fix-broken-c-client-test.patch: Fixes the unit test so
        it will pass with EINVAL which is the correct error. Thanks to
        Clint Byrum for this fix.
      - d/rules: Enable C client test suite for all architectures.
      - d/rules: Only run core Java test suite when building
        Architecture: all packages.

 -- James Page <james.page@ubuntu.com>  Mon, 30 Jan 2012 13:21:21 +0000

zookeeper (3.3.4+dfsg1-2) unstable; urgency=low

  * Added new libzookeeper-st{2,-dev} packages (Closes: #650938) and
    renamed libzookeeper{2,-dev} -> libzookeeper-mt{2,-dev}.
  * Added transitional package libzookeeper2 -> libzookeeper-mt2.
  * Convert libzookeeper-{st,mt}2 for MultiArch support.
  * Disable detection of cygwin as not relevant for Debian based
    installs and complicates configuration (Closes: #650882). Thanks
    to Akira Kitada for this patch.
  * Really close RFH (Closes: #579791).

 -- James Page <james.page@ubuntu.com>  Mon, 12 Dec 2011 13:31:47 +0000

zookeeper (3.3.4+dfsg1-1) unstable; urgency=low

  [ James Page ]
  * New upstream release:
    - d/patches/fixes/ZOOKEEPER-1117: Dropped - fix included upstream.
    - Refreshed patches.
  * Added support for upstart under Ubuntu (LP: #862762):
    - d/rules,d/zookeeperd.upstart.in: Detect Ubuntu and swap in provided
      upstart configuration if required.
    - d/ubuntu|debian_control_vars,d/control,d/rules: Provide different Depends
      for zookeeperd package when building under Ubuntu/Debian.
  * Enabled C and Java test suites:
    - d/control,d/compat: Bumped debhelper compat level to 8 to allow
      arch/indep overrides.
    - d/rules: Enable test suites for -arch and -indep builds.
    - d/patches/debian/patch-build-system: Patch unit testing to exclude
      InvalidSnapshot and Upgrade tests (non-free data) and to pickup
      junit4 from system library.
    - d/rules: Disable test suite execution for the time being as does
      not run reliably.
  * Close RFH for this package (LP: #579791).

  [ Damien Raude-Morvan ]
  * Add DMUA flag for James Page.
  * Build-Depends on procps for test suite.

 -- James Page <james.page@ubuntu.com>  Thu, 01 Dec 2011 15:03:53 +0000

zookeeper (3.3.3+dfsg2-2) unstable; urgency=low

  * Updated patch for ZOOKEEPER-1117 with fixes accepted into
    zookeeper 3.4.0 upstream; should also resolve FTBFS on ia64.
  * Close RFH from original maintainer (Closes: #602694).
  * debian/zookeeper.cron.daily: handle return code of 1 so daily cron job
    does not produce error emails when the package is removed but not
    purged (Closes: #582757). Thanks to Clint Byrum for this fix.

 -- James Page <james.page@ubuntu.com>  Wed, 31 Aug 2011 08:51:04 +0100

zookeeper (3.3.3+dfsg2-1) unstable; urgency=low

  * Re-enable python 2.7 modules (Closes: #633690):
    - debian/control: X-Python-Version: >= 2.6
  * debian/copyright: added EPL-1.0 for src/contrib/zooinspector/icons/*.
  * debian/patches/fixes/ZOOKEEPER-1033: Cherry picked patch from 3.4.0
    so that headers for c bindings are installed to /usr/include/zookeeper.
  * Purged additional non-DFSG files from upstream source:
    - src/java/test/data/* : invalid snapshot and upgrade testing data.

 -- James Page <james.page@ubuntu.com>  Wed, 13 Jul 2011 10:01:47 +0100

zookeeper (3.3.3+dfsg1-1) unstable; urgency=low

  * New upstream release.
  * Resolve FTBFS on mips and hppa - platforms should not be supported
    as zookeeper needs default-jdk >= 1:1.6 (Closes: #626020,#594970).
  * Added myself to Uploaders.
  * Removed Thomas Koch from Uploaders - thanks for all of your work.
  * Bumped Standards-Version: 3.9.2; no changes.
  * Transition to dh_python2.
  * Fixed FTBFS due to -Werror actually working and causing build
    failures in gcc >= 4.6.1 (Closes: #625441).
  * debian/bin/zkPurgeTxnLog.sh: Switch DATADIR and DATALOGDIR to match
    parameter ordering in Zookeeper code (Closes: #601383) - thanks to
    Paul Paradise for identifying this issue and the fix.
  * debian/copyright: upgrade to DEP-5 format.

 -- James Page <james.page@ubuntu.com>  Tue, 12 Jul 2011 16:56:06 +0100

zookeeper (3.3.1+dfsg1-2) unstable; urgency=low

  * FIX: cronjob, init.d fail after package removal. Closes: #582757

 -- Thomas Koch <thomas.koch@ymc.ch>  Tue, 01 Jun 2010 13:25:34 +0200

zookeeper (3.3.1+dfsg1-1) unstable; urgency=low

  * new upstream version
  * started over testing a new git layout for packaging

 -- Thomas Koch <thomas.koch@ymc.ch>  Tue, 18 May 2010 09:36:16 +0200

zookeeper (3.3.0+dfsg1-1) unstable; urgency=low

  * new upstream version
  * packaged zooinspector contrib
  * packages zktreeutil contrib
  * Made debian/rules a bit more sane

 -- Thomas Koch <thomas.koch@ymc.ch>  Tue, 27 Apr 2010 13:52:30 +0200

zookeeper (3.2.2+dfsg3-3) unstable; urgency=low

  * remove /var/run/zookeeper when purging the package
  * zookeeperd.init creates /var/run/zookeeper now (Closes: #569972)
  * cronjob to purge old zookeeper data
  * more elaborate config example
  * superfluous /var/run/zookeeper entry in zookeeper.dirs
  * fix lintian tag debian-rules-ignores-make-clean-error
  * don't install executables to /usr/bin without manpages and proper
    names
  * Use Built-in functions for atomic memory access instead of
    hard-coded assembler. Thx Matthias Klose. Closes: #568618.
  * move executables to /usr/lib/... instead of /usr/share/...

 -- Thomas Koch <thomas.koch@ymc.ch>  Wed, 24 Feb 2010 15:02:09 +0100

zookeeper (3.2.2+dfsg3-2) unstable; urgency=low

  * Build C and Python bindings. Thanks to Matthias Klose.
  * Corrected dependencies versions in debian/control.

 -- Thomas Koch <thomas.koch@ymc.ch>  Thu, 28 Jan 2010 12:07:38 +0100

zookeeper (3.2.2+dfsg3-1) unstable; urgency=low

  * New repackaging after FTP rejection due to overseen license issues.
  * New repackaging of upstream tarball to exclude generated code.
  * Initial release. (Closes: #561947)

 -- Thomas Koch <thomas.koch@ymc.ch>  Wed, 27 Jan 2010 16:41:22 +0100
